summaryrefslogtreecommitdiffstats
path: root/games/scummvm
diff options
context:
space:
mode:
author Yalla-One2010-05-11 14:28:23 +0200
committer Robby Workman2010-05-11 14:28:23 +0200
commit466a9639a19f8a004eba32c175f03b9d5b488313 (patch)
tree4b9b6e7c908160899ef84c385953446a5a30fcf4 /games/scummvm
parente542fa53a74ec44a866c830c31ffb87aa7c25f0f (diff)
downloadslackbuilds-466a9639a19f8a004eba32c175f03b9d5b488313.tar.gz
games/scummvm: Initial import
Diffstat (limited to 'games/scummvm')
-rw-r--r--games/scummvm/README7
-rw-r--r--games/scummvm/doinst.sh5
-rw-r--r--games/scummvm/scummvm.SlackBuild105
-rw-r--r--games/scummvm/scummvm.info8
-rw-r--r--games/scummvm/slack-desc11
5 files changed, 136 insertions, 0 deletions
diff --git a/games/scummvm/README b/games/scummvm/README
new file mode 100644
index 0000000000..09350e2d87
--- /dev/null
+++ b/games/scummvm/README
@@ -0,0 +1,7 @@
+ScummVM is a collection of interpreters, capable of emulating
+several adventure game engines. ScummVM mainly supports engines
+created using SCUMM (Script Creation Utility for Maniac Mansion),
+used in various LucasArts games such as Monkey Island, Day of the
+Tentacle, and others. ScummVM also contains interpreters for several
+non-SCUMM games, currently these are Beneath a Steel Sky, Broken
+Sword I & II and Simon the Sorcerer 1 & 2.
diff --git a/games/scummvm/doinst.sh b/games/scummvm/doinst.sh
new file mode 100644
index 0000000000..3412314ed0
--- /dev/null
+++ b/games/scummvm/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/scummvm/scummvm.SlackBuild b/games/scummvm/scummvm.SlackBuild
new file mode 100644
index 0000000000..c94be89bec
--- /dev/null
+++ b/games/scummvm/scummvm.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for scummvm
+
+# Copyright 2006 Halim Issa <yallaone@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=scummvm
+VERSION=0.9.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING NEWS README TODO"
+
+case "$ARCH" in
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ ;;
+ i686) SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ ;;
+ s390) SLKCFLAGS="-O2"
+ ;;
+ powerpc) SLKCFLAGS="-O2"
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+ athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --disable-debug \
+ --enable-plugins \
+ --enable-agi \
+ --enable-cine \
+ --enable-lure \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# The .desktop file and png icon for the menu is not being installed
+install -D -m 0644 backends/gp2x/build/scummvm.png \
+ $PKG/usr/share/pixmaps/scummvm.png
+install -D -m 0644 dists/scummvm.desktop \
+ $PKG/usr/share/applications/scummvm.desktop
+# Fix the icon name and path
+sed -i s#'Icon=scummvm.xpm'#'Icon=/usr/share/pixmaps/scummvm.png'# \
+ $PKG/usr/share/applications/scummvm.desktop || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+# We don't need these - they're redundant
+rm -rf $PKG/usr/share/doc
+
+# Compress the man page(s)
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+strip --strip-unneeded $PKG/usr/bin/scummvm 2> /dev/null
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/scummvm/scummvm.info b/games/scummvm/scummvm.info
new file mode 100644
index 0000000000..7f77ae3c6c
--- /dev/null
+++ b/games/scummvm/scummvm.info
@@ -0,0 +1,8 @@
+PRGNAM="scummvm"
+VERSION="0.9.1"
+HOMEPAGE="http://www.scummvm.org/"
+DOWNLOAD="http://dl.sourceforge.net/scummvm/scummvm-0.9.1.tar.bz2"
+MD5SUM="30a82ad466bae223875e66ee14b94904"
+MAINTAINER="Yalla-One"
+EMAIL="yallaone@gmail.com"
+APPROVED="robw810"
diff --git a/games/scummvm/slack-desc b/games/scummvm/slack-desc
new file mode 100644
index 0000000000..658f97f29a
--- /dev/null
+++ b/games/scummvm/slack-desc
@@ -0,0 +1,11 @@
+scummvm: ScummVM (SCUMM game engine interpreter)
+scummvm:
+scummvm: ScummVM is a collection of interpreters, capable of emulating
+scummvm: several adventure game engines. ScummVM mainly supports engines
+scummvm: created using SCUMM (Script Creation Utility for Maniac Mansion),
+scummvm: used in various LucasArts games such as Monkey Island, Day of the
+scummvm: Tentacle, and others. ScummVM also contains interpreters for several
+scummvm: non-SCUMM games, currently these are Beneath a Steel Sky, Broken
+scummvm: Sword I & II and Simon the Sorcerer 1 & 2.
+scummvm:
+scummvm: